Labels
Remove a label
Delete a Label to stop tracking funds and remove it from your account. Returns success status if the Label is successfully removed. Use this to streamline your account management and remove unused Labels from your system.
DELETE
/
labels
/
{id}
cURL
DELETE https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var labelUrl =
"https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc";
dwolla.delete(labelUrl);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'
app_token.delete(label_url)
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$labelsApi = new DwollaSwagger\LabelsApi($apiClient);
$labelsApi->removeLabel('https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc');
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'
app_token.delete label_url
{
"_links": {},
"id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
"created": "2022-05-15T22:19:09.635Z",
"amount": {
"value": "10.00",
"currency": "USD"
}
}{
"code": "InvalidResourceState",
"message": "Amount must be zero to remove label."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
A label unique identifier
Was this page helpful?
⌘I
cURL
DELETE https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var labelUrl =
"https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc";
dwolla.delete(labelUrl);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'
app_token.delete(label_url)
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$labelsApi = new DwollaSwagger\LabelsApi($apiClient);
$labelsApi->removeLabel('https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc');
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'
app_token.delete label_url
{
"_links": {},
"id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
"created": "2022-05-15T22:19:09.635Z",
"amount": {
"value": "10.00",
"currency": "USD"
}
}{
"code": "InvalidResourceState",
"message": "Amount must be zero to remove label."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}